Bug 1675759 - python-neutronclient: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: python-neutronclient: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-neutronclient
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:36 UTC by Fedora Release Engineering
Modified: 2019-05-09 01:32 UTC (History)
2 users (show)

Fixed In Version: python-neutronclient-6.7.0-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-09 01:32:48 UTC
releng: needinfo? (jruzicka)


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:36 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:36 UTC, Fedora Release Engineering
no flags Details
state.log (497 bytes, text/plain)
2019-02-11 21:36 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:36:42 UTC
python-neutronclient failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32458427


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix python-neutronclient at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-neutronclient will be orphaned. Before branching of Fedora 31,
python-neutronclient will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:36:43 UTC
Created attachment 1532289 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:36:45 UTC
Created attachment 1532290 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:36:46 UTC
Created attachment 1532291 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:31:39 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Fedora Update System 2019-04-30 12:40:07 UTC
python-neutronclient-6.7.0-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3984414a33

Comment 6 Fedora Update System 2019-05-01 01:44:08 UTC
python-neutronclient-6.7.0-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3984414a33

Comment 7 Fedora Update System 2019-05-09 01:32:48 UTC
python-neutronclient-6.7.0-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.